Bug 494586 - (perl-Term-Size-Any) Review Request: perl-Term-Size-Any - Retrieve terminal size
Review Request: perl-Term-Size-Any - Retrieve terminal size
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 10:56 EDT by Iain Arnell
Modified: 2010-08-24 19:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.001-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-14 00:05:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-04-07 10:56:21 EDT
Spec URL: http://iarnell.fedorapeople.org/rpms/perl-Term-Size-Any.spec
SRPM URL: http://iarnell.fedorapeople.org/rpms/perl-Term-Size-Any-0.001-1.fc11.src.rpm
Description: 
This is a unified interface to retrieve terminal size. It loads one module
of a list of known alternatives, each implementing some way to get the
desired terminal information. This loaded module will actually do the job
on behalf of Term::Size::Any.

scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1282985

notes: Missing Term::Size::Win32 for tests is to be expected!
t/08win32.t ......... skipped: Term::Size::Win32 not found
Comment 1 Chris Weyl 2009-04-07 13:13:00 EDT
Looks good.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1282985

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
63167e2bb4252c0722cd531e704a14ab727f3c9a Term-Size-Any-0.001.tar.gz
63167e2bb4252c0722cd531e704a14ab727f3c9a Term-Size-Any-0.001.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.

=====> perl-Term-Size-Any-0.001-1.fc10.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Term-Size-Any-0.001-1.fc10.src.rpm
====> requires for perl-Term-Size-Any-0.001-1.fc10.src.rpm
perl(Devel::Hide)  
perl(ExtUtils::MakeMaker)  
perl(Module::Load::Conditional)  
perl(Term::Size::Perl)  
perl(Test::More)  
perl(Test::Pod)  
perl(Test::Pod::Coverage)  

=====> perl-Term-Size-Any-0.001-1.fc10.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Term-Size-Any-0.001-1.fc10.noarch.rpm
perl(Term::Size::Any) = 0.001
perl-Term-Size-Any = 0.001-1.fc10
====> requires for perl-Term-Size-Any-0.001-1.fc10.noarch.rpm
perl(:MODULE_COMPAT_5.10.0)  
perl(Term::Size::Perl)  
perl(strict)  
perl(vars)  

APPROVED
Comment 2 Iain Arnell 2009-04-07 13:45:38 EDT
New Package CVS Request
=======================
Package Name: perl-Term-Size-Any
Short Description: Retrieve terminal size
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-07 22:56:46 EDT
cvs done.
Comment 4 Fedora Update System 2009-04-14 00:04:30 EDT
perl-Term-Size-Any-0.001-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Term-Size-Any-0.001-1.fc10
Comment 5 Fedora Update System 2009-04-14 00:04:35 EDT
perl-Term-Size-Any-0.001-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Term-Size-Any-0.001-1.fc9
Comment 6 Fedora Update System 2009-04-27 17:34:54 EDT
perl-Term-Size-Any-0.001-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-04-27 17:39:32 EDT
perl-Term-Size-Any-0.001-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Iain Arnell 2010-08-24 07:44:09 EDT
Package Change Request
======================
Package Name: perl-Term-Size-Any
New Branches: el6
Owners: iarnell
Comment 9 Kevin Fenzi 2010-08-24 19:48:44 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.